/*
 * CB3RuntimeException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

import org.springframework.core.NestedRuntimeException;

/**
 * CB3 Frameworkで定義された実行時例外の基底クラス。
 * @author Naoko Sugimoto
 */
public class CB3RuntimeException extends NestedRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 4762182556133269113L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public CB3RuntimeException(Exception cause) {
		super((cause==null ? null : cause.getMessage()), cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public CB3RuntimeException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public CB3RuntimeException(String msg, Exception cause) {
		super(msg, cause);
	}
}
